Electron中文文档

新手 685983304  中级 642625556 高级 602866851 Q群区别? 征集友情链接公告

推荐版:3.0.10   测试版:4.0.0-beta.8   极客版:4.0.0-nightly.20181010  

Electron技术支持

寻找技术支持

如果你有安全方面的问题,请阅读 安全文档

如果你想获得编程方面的帮助、问题的答案亦或是想要加入Electron的开发者大家庭,您可以参考以下链接:

如果你有意为加入Electron的开发,可参阅贡献文档

如果你在Electron的支持版中发现漏洞,请在问题追踪中提交你发现的漏洞。

awesome-electron是一个社区维护的示例程序列表。

支持版

最新的 3 个发布分支受 Electron 团队支持。 例如,如果最新的发布是2.0.x,那么2-0-x系列会受支持。对于之前的发行系列1-7-x和1-8-x也是一样。

当一个发行分支达到了其支持周期的末尾,该序列将会在NPM中弃用,且会发布一个最终的“结束支持”版本。 这个版本将会添加一个警告以通知正在使用一个不受支持的Electron版本。

这些步骤是用于帮助应用开发者了解他们使用的分支不受支持,而不会过分打扰最终用户。

如果一个应用有特殊情况并需要保持使用一个不受支持的Electron版本,开发者可以通过忽略来自应用的package.jsondevDependencies的最终版本以关闭结束支持警告。 For example, since the 1-6-x series ended with an end-of-support 1.6.18 release, developers could choose to stay in the 1-6-x series without warnings with devDependency of "electron": 1.6.0 - 1.6.17.

支持平台

目前 Electron 支持以下平台:

macOS

Only 64bit binaries are provided for macOS, and the minimum macOS version supported is macOS 10.10 (Yosemite).

Windows

仅支持 Windows 7 或更高版本, 旧版操作系统已不再支持(并且无法运行).

为Windows系统提供ia32 (x86) 和 x64 (amd64) 两种二进制版本。 如果在ARM版Windows上使用Electron的话调用ia32库就行了。

Linux

Electron 的 ia32 (i686) 和 x64 (amd64) 预编译版本均是在Ubuntu 12.04 下编译的,arm 版的二进制文件是在 ARM v7(硬浮点 ABI 与 Debian Wheezy 版本的 NEON)下完成的。

在Electron 2.0的发布之前,Electron 也会 继续用简单的 arm 后缀释放 armv7l 二进制文件。 Both binaries are identical.

预编译版本是否能够正常运行,取决于其中是否包含了编译平台的链接库。所以只有 Ubuntu 12.04 是可以保证能正常运行的,并且以下平台也被证实可以正常运行 Electron 的预编译版本:

  • Ubuntu 12.04 或更高版本
  • Fedora 21
  • Debian 8


相关npm包集合




相关站点资源





官方指南

常见问题 (FAQ)

指南和教程

详细教程

API 参考

自定义 DOM 元素:

主进程可用的模块:

渲染进程(网页)可用的模块:

两种进程都可用的模块:

开发

  • electron-vue 开发过程中的几个常见问题的解决方案
  • electron 如何禁用页面缩放事件?
  • JS开发者社区

    和大家在一起

    新手/1元新手 685983304 
    中级/5元 中级 642625556
    高级/50元 高级 602866851